package com.activiti6.domain;


import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class ProcessInstanceCommitFrom implements Serializable {
    /**
     * 登录人id
     */
    private String userId;
    /**
     * 流程启动id
     */
    private String processId;
    /**
     * 数据集合
     */
    private Map<String, Object> dataMap = new HashMap<>();

    private String taskId;
    /**
     * 表单id
     */
    private Long formId;
    /**
     * 提交表单名称
     */
    private String formKey;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public Map<String, Object> getDataMap() {
        return dataMap;
    }

    public void setDataMap(Map<String, Object> dataMap) {
        this.dataMap = dataMap;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getFormId() {
        return formId;
    }

    public void setFormId(Long formId) {
        this.formId = formId;
    }

    public String getFormKey() {
        return formKey;
    }

    public void setFormKey(String formKey) {
        this.formKey = formKey;
    }
}
